hpp-constraints: hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType > Class Template Referenceabstract
Symbolic calculus

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >:
[legend]

## Public Types
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
virtual const ValueType & | value () const =0
virtual const JacobianType & | jacobian () const =0
virtual void | computeValue (const ConfigurationIn_t arg)=0
virtual void | computeJacobian (const ConfigurationIn_t arg)=0
virtual void | invalidate ()=0

## Detailed Description

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>
class hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >

Abstract class defining a basic common interface.

The purpose of this class is to allow the user to define an expression without requiring to explicitly write its type. The type will be automatically deduced by the compiler.

// First define a, b and c with basic elements.
CalculusBaseAbstract<OutValueType, OutJacobianType>::Ptr_t
myExpression_ptr =
CalculusBaseAbstract<OutValueType, OutJacobianType>::create (a + b * c)
hpp::constraints::CalculusBaseAbstract
Definition symbolic-calculus.hh:165

## Member Typedef Documentation

## ◆ JacobianType_t

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

typedef JacobianType hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::JacobianType_t

## ◆ ValueType_t

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

typedef ValueType hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::ValueType_t

## Member Function Documentation

## ◆ computeJacobian()

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

virtual void hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::computeJacobian | ( | const ConfigurationIn_t | arg | ) |
| pure virtual

Implemented in hpp::constraints::CalculusBase< T, ValueType, JacobianType, CrossType >, hpp::constraints::CalculusBase< CrossProduct< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< Difference< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >, hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >, hpp::constraints::CalculusBase< MatrixOfExpressions< eigen::vector3_t, JacobianMatrix >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic > >, hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >, hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >, hpp::constraints::CalculusBase< PointInJoint >, hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarProduct< LhsValue, RhsValue >, Eigen::Matrix< value_type, 1, 1 >, RowJacobianMatrix >, hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >, and hpp::constraints::CalculusBase< VectorInJoint >.

## ◆ computeValue()

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

virtual void hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::computeValue | ( | const ConfigurationIn_t | arg | ) |
| pure virtual

Implemented in hpp::constraints::CalculusBase< T, ValueType, JacobianType, CrossType >, hpp::constraints::CalculusBase< CrossProduct< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< Difference< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >, hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >, hpp::constraints::CalculusBase< MatrixOfExpressions< eigen::vector3_t, JacobianMatrix >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic > >, hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >, hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >, hpp::constraints::CalculusBase< PointInJoint >, hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarProduct< LhsValue, RhsValue >, Eigen::Matrix< value_type, 1, 1 >, RowJacobianMatrix >, hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >, and hpp::constraints::CalculusBase< VectorInJoint >.

## ◆ invalidate()

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

virtual void hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::invalidate | ( |  | ) |
| pure virtual

Implemented in hpp::constraints::CalculusBase< T, ValueType, JacobianType, CrossType >, hpp::constraints::CalculusBase< CrossProduct< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< Difference< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >, hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >, hpp::constraints::CalculusBase< MatrixOfExpressions< eigen::vector3_t, JacobianMatrix >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic > >, hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >, hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >, hpp::constraints::CalculusBase< PointInJoint >, hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarProduct< LhsValue, RhsValue >, Eigen::Matrix< value_type, 1, 1 >, RowJacobianMatrix >, hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< VectorInJoint >, hpp::constraints::CrossProduct< LhsValue, RhsValue >, hpp::constraints::ScalarProduct< LhsValue, RhsValue >, hpp::constraints::Difference< LhsValue, RhsValue >, hpp::constraints::Sum< LhsValue, RhsValue >, hpp::constraints::ScalarMultiply< RhsValue >, hpp::constraints::RotationMultiply< RhsValue >, hpp::constraints::MatrixOfExpressions< ValueType, JacobianType >, and hpp::constraints::MatrixOfExpressions< eigen::vector3_t, JacobianMatrix >.

## ◆ jacobian()

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

virtual const JacobianType & hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::jacobian | ( |  | ) | const
| pure virtual

Implemented in hpp::constraints::CalculusBase< T, ValueType, JacobianType, CrossType >, hpp::constraints::CalculusBase< CrossProduct< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< Difference< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >, hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >, hpp::constraints::CalculusBase< MatrixOfExpressions< eigen::vector3_t, JacobianMatrix >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic > >, hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >, hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >, hpp::constraints::CalculusBase< PointInJoint >, hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarProduct< LhsValue, RhsValue >, Eigen::Matrix< value_type, 1, 1 >, RowJacobianMatrix >, hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< VectorInJoint >, and hpp::constraints::PointCom.

## ◆ value()

template<class ValueType = eigen::vector3_t, class JacobianType = JacobianMatrix>

virtual const ValueType & hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >::value | ( |  | ) | const
| pure virtual

Implemented in hpp::constraints::CalculusBase< T, ValueType, JacobianType, CrossType >, hpp::constraints::CalculusBase< CrossProduct< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< Difference< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >, hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >, hpp::constraints::CalculusBase< MatrixOfExpressions< eigen::vector3_t, JacobianMatrix >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic >, Eigen::Matrix< value_type, Eigen::Dynamic, Eigen::Dynamic > >, hpp::constraints::CalculusBase< Point, vector3_t, JacobianMatrix >, hpp::constraints::CalculusBase< PointCom, vector3_t, ComJacobian_t >, hpp::constraints::CalculusBase< PointInJoint >, hpp::constraints::CalculusBase< RotationMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >, hpp::constraints::CalculusBase< ScalarProduct< LhsValue, RhsValue >, Eigen::Matrix< value_type, 1, 1 >, RowJacobianMatrix >, hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >, hpp::constraints::CalculusBase< VectorInJoint >, and hpp::constraints::PointCom.

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh